#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x3a0fd7ba, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x00fc6864, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x4242f701, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x6763f4a7, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xbe84f4d3, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x46c4a358, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x3f72df89, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xc95e984c, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x9a13acdf, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x764ad4de, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xc785582a, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xb48c2d33, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xc5bed55d, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xbbc61b6e, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xbb6ef969, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x3fa1910e, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x22011743, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xd6c11c0a, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x4cf0f6f0, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xbca52199, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xe9743d55, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x0900c7a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1149e76, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8d396cce, "icmpv6_ndo_send" },
	{ 0xa5ecf4d1, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2aa2188e, "alloc_netdev_mqs" },
	{ 0xc25a29f, "register_netdevice" },
	{ 0xd0ec541e, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf54ab36d, "unregister_netdevice_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6b8c00b, "gro_cells_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x29f2685b, "dst_release" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0x30d6e866, "skb_copy_bits" },
	{ 0xdb3fdf1f, "skb_scrub_packet" },
	{ 0x828ccb45, "gro_cells_receive" },
	{ 0x7f767a05, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xdcb764ad, "memset" },
	{ 0x5ac77bd5, "ip_route_output_flow" },
	{ 0xdda999eb, "__dev_get_by_index" },
	{ 0x200b635e, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x73d05b09, "dev_addr_mod" },
	{ 0x1c4606ea, "netdev_state_change" },
	{ 0x8fbca63c, "ns_capable" },
	{ 0x1a91c1b3, "dev_set_mtu" },
	{ 0x215e000a, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbb839f83, "dst_cache_get_ip4" },
	{ 0xf214bde0, "iptunnel_xmit" },
	{ 0x6113652f, "__skb_get_hash" },
	{ 0x1ff1df44, "dst_cache_set_ip4" },
	{ 0x9c37d0a6, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a3a9aef, "neigh_destroy" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

